# {{ ansible_managed }}
# https://github.com/jdauphant/ansible-role-unbound/tree/b48736b6ef235105a63d837d2cad097cd7fc9660

# localhost
local-data-ptr: "127.0.0.1 localhost.{{ lan_domain }}"
local-data: "localhost. A 127.0.0.1"
local-data: "localhost.{{ lan_domain }}. A 127.0.0.1"
local-data-ptr: "::1 localhost.{{ lan_domain }}"
local-data: "localhost. AAAA ::1"
local-data: "localhost.{{ lan_domain }}. AAAA ::1"

{% for host, entry in unbound_host_entries.items() %}
# {{ host }}
    local-data: "{{ host }}.{{ lan_domain }}. A {{ entry.ip }}" # A Record
{% if entry.reverse | default(false) and entry.ip is string %}
    local-data-ptr: "{{ entry.ip }} {{ host }}.{{ lan_domain }}" # PTR Record (aka Reverse DNS Record)
{% endif %}
{% for cname in (entry.cnames | default([])) %}
    local-data: "{{ cname }}.{{ lan_domain }}.  CNAME {{ host }}.{{ lan_domain }}."
{% endfor %}

{% endfor %}
